﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="WebUserControl.ascx.cs" Inherits="EditorDialogs_WebUserControl" %>

<script runat="server" type="text/C#">  
	protected void Page_Load(object sender, EventArgs e)
	{
		HttpContext.Current.Response.SuppressFormsAuthenticationRedirect = true;

		//You may want to pass the RenderMode of the FileExplorer as an argument as well, so the proper template can be loaded
		//even though this sample does not include such logic or the Lightweight template,
		//you can obtain the templates from this article: http://docs.telerik.com/devtools/aspnet-ajax/controls/window/alert,-confirm,-prompt-dialogs/how-to-change-the-dialog-templates
		Telerik.Web.UI.RadFileExplorer rfe = (Telerik.Web.UI.RadFileExplorer)this.FindRadControl(this.Page);
		if (rfe != null)  
		{ 
			rfe.WindowManager.PromptTemplate = new PromptTemplateLoader(this.Page);
		}
	}
	
	private Control FindRadControl(Control parent)  
	{ 
		foreach (Control c in parent.Controls)  
		{ 
			if (c is Telerik.Web.UI.RadFileExplorer)
				return c;  
			if (c.Controls.Count > 0)  
			{ 
				Control sub = FindRadControl(c);  
				if (sub != null)
					return sub;  
			}
		}
		return null;  
	}
</script>